Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jif.types.label
Interface ArgLabel

All Superinterfaces:
  java.lang.Cloneable, polyglot.util.Copy, Label, Param, java.io.Serializable, polyglot.types.TypeObject

All Known Implementing Classes:
  ArgLabel_c

    public interface ArgLabel

extends Label

This label is used as a place-holder for method argument labels. The purpose is to avoid having to re-interpret labels at each call.

Method Summary
`polyglot.types.VarInstance` | `formalInstance()`
`java.lang.String` | `name()`
`void` | `setCodeInstance(polyglot.types.CodeInstance ci)`
`void` | `setName(java.lang.String name)`
`void` | `setUpperBound(Label upperBound)`
`Label` | `upperBound()`

Methods inherited from interface jif.types.label.Label
`componentString, componentString, confProjection, description, hasVariableComponents, hasVariables, hasWritersToReaders, integProjection, isBottom, isComparable, isCovariant, isDisambiguated, isEnumerable, isInvariant, isRuntimeRepresentable, isTop, labelCheck, leq_, normalize, setDescription, simplify, subst, throwTypes, toJava, toString, variableComponents, variables`

Methods inherited from interface jif.types.Param
`isCanonical`

Methods inherited from interface polyglot.types.TypeObject
`equalsImpl, position, typeSystem`

Methods inherited from interface polyglot.util.Copy
`copy`

Method Detail

### formalInstance

    polyglot.types.VarInstance formalInstance()

### upperBound

    Label upperBound()

### name

    java.lang.String name()

### setName

    void setName(java.lang.String name)

### setUpperBound

    void setUpperBound(Label upperBound)

### setCodeInstance

    void setCodeInstance(polyglot.types.CodeInstance ci)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD